=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::ShipmentsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ShipmentsApi' do
  before do
    # run before each test
    @instance = Shippo::ShipmentsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ShipmentsApi' do
    it 'should create an instance of ShipmentsApi' do
      expect(@instance).to be_instance_of(Shippo::ShipmentsApi)
    end
  end

  # unit tests for create_shipment
  # Create a new shipment
  # Creates a new shipment object for the merchant
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [ShipmentInsertRequestBody] :body Shipment details and contact info.
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Shipment]
  describe 'create_shipment test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_shipment
  # List all shipments
  # List all shipment objects for the merchant
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @option opts [Integer] :page description: The page number you want to select
  # @option opts [Integer] :results description: The number of results to return per page (max 100)
  # @return [PaginatedShipmentResponse]
  describe 'list_shipment test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_shipment
  # Retrieve a shipment
  # Retrieve an existing shipment by object id
  # @param merchant_id description: Object ID of the merchant
  # @param shipment_id description: Object ID of the shipment to update
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Shipment]
  describe 'get_shipment test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
